List Android device policies
Required Permission: mdm.android.policy.list
Retrieves a paginated list of Android Enterprise policies configured for the organization.
Request
authorization
Authorization: Bearer <token>
Responses
application/json
{
"status": true,
"data": {
"items": [
{
"id": "string",
"name": "string",
"description": "string",
"version": "string",
"config": {},
"_config": {},
"packages": {},
"emmEnterprise": "string",
"private": true,
"assets": [
{
"mdmAssetId": "string",
"location": "string",
"assetName": "string",
"scope": "user"
}
],
"assetsInfo": [
{}
],
"updatedAt": "string",
"createdAt": "string",
"agentConfiguration": {
"allowLocation": true,
"allowPackageTime": true,
"allowPackageTransfer": true,
"allowNetworkStatus": true
},
"kioskLauncherConfiguration": {
"displayDeviceName": true,
"settingAction": "",
"whitelistedApps": [
"string"
],
"escapeHatchPassword": "string",
"backgroundUrl": "string",
"iconSize": "small",
"screenAlwaysOn": true,
"unlockPassword": "string",
"inactivityLockTime": 0,
"startingUpApps": [
{
"packageName": "string",
"config": {}
}
],
"appsLayout": [
{
"type": "app",
"package": "string"
}
],
"header": {
"text": "string",
"fontSize": "small"
},
"footer": {
"text": "string",
"fontSize": "small"
}
},
"certificateProviderIds": [
"string"
],
"applications": [
{
"emmApplicationId": "string",
"configuration": "string",
"action": "forceInstall",
"updatePolicy": {},
"customAppConfig": {}
}
],
"applicationsInfo": [
{
"emmApplicationId": "string",
"emmApplication": {
"id": "string",
"organizationId": "string",
"emmEnterpriseId": "string",
"type": "build",
"config": {
"buildId": "string",
"applicationId": "string",
"mdmAssetId": "string",
"filter": "string"
},
"version": 0,
"updatedAt": "string",
"createdAt": "string",
"origin": "library",
"info": {
"id": "string",
"bundleId": "string",
"name": "string",
"icon": "string",
"processedVersionName": "string",
"versionCode": "string",
"size": "string",
"originalExtension": "string",
"applicationInfo": {
"id": "string",
"slug": "string",
"name": "string",
"picture": "string"
},
"disabled": true,
"signatures": {
"sha1": "string",
"sha256": "string"
}
}
}
}
],
"segmentId": 0
}
],
"totalDocs": 0,
"limit": 0,
"hasPrevPage": true,
"hasNextPage": true,
"page": 0,
"totalPages": 0,
"prevPage": 0,
"nextPage": 0
}
}
application/json
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
application/json
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}